Skip to content
Start here

Get a zone snippet content

client.Snippets.Content.Get(ctx, snippetName, query) (*Response, error)
GET/zones/{zone_id}/snippets/{snippet_name}/content

Fetches the content of a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
snippetName string

Identify the snippet.

query ContentGetParams
ZoneID param.Field[string]

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
type ContentGetResponse interface{…}

Get a zone snippet content

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  content, err := client.Snippets.Content.Get(
    context.TODO(),
    "my_snippet",
    snippets.ContentGetParams{
      ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", content)
}
Returns Examples